package com.ssj.bean.sys.salary;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 工资记录
 *
 * @author Mount Liu
 * @date 2019/8/15
 */
@Entity
@Table(name = "tb_lib_salary_info")
public class Salary extends BaseEntity {
    private static final long serialVersionUID = 890135943022798129L;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 用户类型（8：批改老师（此角色包含11校区管理员），13：匹配知识点老师）
     */
    private int type;
    /**
     * 月份
     */
    private String month;

    private  String imgUrl;

    private  String teacherName;
    /**
     * 归属管理员
     */
    private  String manager;
    /**
     * 科目
     */
    private  String subject;
    /**
     * 实际出勤段数
     */
    private  int actualAttendCount;
    /**
     * 应该出勤段数
     */
    private  int shouldAttendCount;
    /**
     * 出勤率
     */
    private  String attendanceRate;
    /**
     * 正确率
     */
    private  String accuracy;
    /**
     * 底薪
     */
    private  String basicSalary;
    /**
     * 提成
     */
    private  String correctDecution;
    /**
     * 快对答案张数
     */
    private  int totalAutoCount;
    /**
     * 手动批改1-2年级
     */
    private  int manualLowCount;
    /**
     * 手动批改3-4年级
     */
    private  int manualMiddleCount;
    /**
     * 手动批改5-6年级
     */
    private  int manualHighCount;
    /**
     * 匹配张数
     */
    private  int matchCount;
    /**
     * 总薪资
     */
    private  String total;
    /**
     * 薪资类型（0:无底薪 1:a种底薪 2:b种底薪）
     */
    private  int salaryType;

    public int getSalaryType() {
        return salaryType;
    }

    public void setSalaryType(int salaryType) {
        this.salaryType = salaryType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }


    public String getManager() {
        return manager;
    }

    public void setManager(String manager) {
        this.manager = manager;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public int getActualAttendCount() {
        return actualAttendCount;
    }

    public void setActualAttendCount(int actualAttendCount) {
        this.actualAttendCount = actualAttendCount;
    }

    public int getShouldAttendCount() {
        return shouldAttendCount;
    }

    public void setShouldAttendCount(int shouldAttendCount) {
        this.shouldAttendCount = shouldAttendCount;
    }

    public String getAttendanceRate() {
        return attendanceRate;
    }

    public void setAttendanceRate(String attendanceRate) {
        this.attendanceRate = attendanceRate;
    }

    public String getAccuracy() {
        return accuracy;
    }

    public void setAccuracy(String accuracy) {
        this.accuracy = accuracy;
    }

    public String getBasicSalary() {
        return basicSalary;
    }

    public void setBasicSalary(String basicSalary) {
        this.basicSalary = basicSalary;
    }

    public String getCorrectDecution() {
        return correctDecution;
    }

    public void setCorrectDecution(String correctDecution) {
        this.correctDecution = correctDecution;
    }

    public int getTotalAutoCount() {
        return totalAutoCount;
    }

    public void setTotalAutoCount(int totalAutoCount) {
        this.totalAutoCount = totalAutoCount;
    }

    public int getManualLowCount() {
        return manualLowCount;
    }

    public void setManualLowCount(int manualLowCount) {
        this.manualLowCount = manualLowCount;
    }

    public int getManualMiddleCount() {
        return manualMiddleCount;
    }

    public void setManualMiddleCount(int manualMiddleCount) {
        this.manualMiddleCount = manualMiddleCount;
    }

    public int getManualHighCount() {
        return manualHighCount;
    }

    public void setManualHighCount(int manualHighCount) {
        this.manualHighCount = manualHighCount;
    }

    public int getMatchCount() {
        return matchCount;
    }

    public void setMatchCount(int matchCount) {
        this.matchCount = matchCount;
    }

    public String getTotal() {
        return total;
    }

    public void setTotal(String total) {
        this.total = total;
    }
}
